EXRENVMAP(1)

NAME
exrenvmap - for creating OpenEXR environment maps.

SYNOPSIS
exrenvmap [options] infile outfile

DESCRIPTION
This manual page documents briefly the exrenvmap command. This manual page was written for the Debian distribution because the original program does not have a manual page.

exrenvmap converts OpenEXR latitude-longitude environment maps into cube-face environment maps or vice versa.

OPTIONS

-o  produces a ONE_LEVEL output file (default)

-m  produces a MIPMAP_LEVELS output file

-c  the output file will be a cube-face environment map (default)

-l  the output file will be a latitude-longitude environment map

-w x
    sets the width of the output image to x pixels (default is 256). The height of the output image will be x*6 pixels for a cube-face map, or x/2 pixels for a latitude-longitude map.

-f r n
    sets the antialiasing filter radius to r (default is 1.0) and the sampling rate to n by n (default is 5 by 5). Increasing r makes the output image blurrier; decreasing r makes the image sharper but may cause aliasing. Increasing n improves antialiasing, but generating the output image takes longer.

-t x y
    sets the output file's tile size to x by y pixels (default is 64 by 64)

-p t b
    if the input image is a latitude-longitude map, pad the image at the top and bottom with t*h and b*h extra scan lines, where h is the height of the input image. This is useful for images from 360-degree panoramic scans that cover less than 180 degrees vertically.

-d  sets level size rounding to ROUND_DOWN (default)

-u  sets level size rounding to ROUND_UP

-z x
    sets the data compression method to x (none/rle/zip/piz/pxr24, default is zip)

-v  verbose mode

-h  prints these options

AUTHOR
This manual page was written by Andrew Lau <netsnipe@users.sourceforge.net>, for the Debian GNU/Linux system (but may be used by others).